Bug 464454 - Wakeup from S5 does not work anymore
Wakeup from S5 does not work anymore
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-29 04:08 EDT by Piergiorgio Sartor
Modified: 2008-11-19 09:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-19 09:55:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piergiorgio Sartor 2008-09-29 04:08:39 EDT
Description of problem:
I've some machines which are powered off on Friday after setting a wakeup time for Monday.
In the past this was done using the /proc/acpi/alarm interface, later, when the RTC class was introduced, using the /sys/class/rtc/rtc0/wakealarm interface.
At the moment, this is not working anymore and this is quite a problem, since the machines do not start anymore on Monday, requiring human intervention.

Version-Release number of selected component (if applicable):
kernel-2.6.26.3-29.fc9.i686

How reproducible:
Always

Steps to Reproduce:
1.
echo 0 > /sys/class/rtc/rtc0/wakealarm
2.
echo/date some_time_in_the_future > /sys/class/rtc/rtc0/wakealarm
3.
poweroff

Actual results:
The machine stays off, i.e. it does not wakeup when it is time.

Expected results:
The machine should wakeup at the programmed time.

Additional info:
The wakeup time is given in seconds, using the "date +%s" command (and some other parameters).
This is working with kernel-2.6.25.14-108.fc9.i686, that is, it seems the .25 series is OK, while the .26 is not.
The machines are intel P4 based ones, which, as mentioned before, can wakeup from S5 (poweroff).
Comment 1 Chuck Ebbert 2008-09-30 00:07:34 EDT
(In reply to comment #1)
> 
> Steps to Reproduce:
> 1.
> echo 0 > /sys/class/rtc/rtc0/wakealarm
> 2.
> echo/date some_time_in_the_future > /sys/class/rtc/rtc0/wakealarm
> 3.
> poweroff
> 

After you do step 2, can you cat the contents of the wakealarm file to see what got set? Comparing the files on both kernel versions should provide some clues to what is going wrong.
Comment 2 Piergiorgio Sartor 2008-09-30 03:42:52 EDT
(In reply to comment #1)
> (In reply to comment #1)
> > 
> > Steps to Reproduce:
> > 1.
> > echo 0 > /sys/class/rtc/rtc0/wakealarm
> > 2.
> > echo/date some_time_in_the_future > /sys/class/rtc/rtc0/wakealarm
> > 3.
> > poweroff
> > 
> 
> After you do step 2, can you cat the contents of the wakealarm file to see what
> got set? Comparing the files on both kernel versions should provide some clues
> to what is going wrong.

If, for example, I set the timer with:

date -d '10:00' +%s > /sys/class/rtc/rtc0/wakealarm

Then "cat /sys/class/rtc/rtc0/wakealarm" will return the same as "date -d '10:00' +%s", i.e. something like 1222761600.
This is the same for both kernels, working and not working one.

Rebooting the machine (manually, with the new kernel) and checking /sys/class/rtc/rtc0/wakealarm shows and empty file, i.e. "cat /sys/class/rtc/rtc0/wakealarm" returns nothing.

As a side note, I tried, on a different machine, "rtcwake -s 60 -m mem", this is supposed to put the PC at sleep for 60 seconds and then wake it up.
Now, what is happening is that the machine goes into S2R and then it wakes up immediately, like the wake up timer fired as soon as the PC entered in sleep mode.
I'll try it again this with the current PC and the two different kernels.

Hope this helps.

pg
Comment 3 Piergiorgio Sartor 2008-09-30 04:00:30 EDT
So, as promised, I tried "rtcwake -s 60 -m mem" with both kernels.
This seems to work fine. In both cases the machine goes into S2R and it wakes up one minute later (without video, but this is an nVidia related issue).

So, I guess, this is not an issue, here.

pg
Comment 4 Piergiorgio Sartor 2008-10-02 04:21:30 EDT
I tried kernel-2.6.26.5-45.fc9.i686 with same results as the previous .26 series, i.e. no wakeup occurs.

pg
Comment 5 Piergiorgio Sartor 2008-10-27 05:06:25 EDT
I tried the latest kernel-2.6.26.6-79.f9.i686 with same results, i.e. the PC does not wake up from S5.

I know you're probably quite busy with F10, but could someone have a look on which changes could have caused the regression?
I'm willing to test some kernels, if necessary.

Thanks again,

pg
Comment 6 Chuck Ebbert 2008-10-31 03:45:45 EDT
Preliminary 2.6.27 kernel for F9 is here:
http://koji.fedoraproject.org/koji/buildinfo?buildID=68158
Comment 7 Piergiorgio Sartor 2008-10-31 04:55:27 EDT
It seems that kernel 2.6.27.4-19.fc9.i686 did the trick, probably the ACPI reboot/resume fixes.
So this kernel is working, I can set the wakeup, poweroff and then the PC wakes up as programmed.

Thanks for the support!
I guess this issue can slowly go into "resolved/nexrelease" or similar.

Thanks again.

pg
Comment 8 Fedora Update System 2008-11-04 22:37:23 EST
kernel-2.6.27.4-24.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kernel-2.6.27.4-24.fc9
Comment 9 Fedora Update System 2008-11-05 20:51:14 EST
kernel-2.6.27.4-26.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kernel-2.6.27.4-26.fc9
Comment 10 Fedora Update System 2008-11-06 21:56:25 EST
kernel-2.6.27.4-26.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9467
Comment 11 Fedora Update System 2008-11-10 08:15:52 EST
kernel-2.6.27.5-32.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kernel-2.6.27.5-32.fc9
Comment 12 Fedora Update System 2008-11-11 21:57:53 EST
kernel-2.6.27.5-32.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9583
Comment 13 Fedora Update System 2008-11-13 02:43:02 EST
kernel-2.6.27.5-37.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kernel-2.6.27.5-37.fc9
Comment 14 Fedora Update System 2008-11-14 06:54:18 EST
kernel-2.6.27.5-41.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kernel-2.6.27.5-41.fc9
Comment 15 Fedora Update System 2008-11-19 09:54:44 EST
kernel-2.6.27.5-41.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.